# Contributions

Contributions to the `smartmicro_ros2_radars` are welcomed and highly
appreciated! :tada::+1:


## Contribution Guidelines

First and foremost to get an overview of the project, please read the
[Readme](Readme.md).

### Gitflow Workflow

This document provides certain guidelines and rules that should be
followed while contributing to `smartmicro_ros2_radars` and its
packages. The project follows the Gitflow guidelines and so it is
expected from the contributor to firstly read the Gitflow guide and
adhere to it.

If not familiar with Gitflow Workflow, please refer to the following
link:
- [Gitflow Workflow](https://www.atlassian.com/git/tutorials/comparing-workflows/gitflow-workflow)

### Bugs and Features

We use GitHub issues to report bugs and make feature requests. For
each bug/feature a new issue should be created first. It is advised to
give each issue a label. Once creating a pull request which stems from
an issue, the pull request must be linked with the respective issue.
The issue should be closed once the pull request has been successfully
merged. Also, it is advisable to name the pull request as such that it
includes the issue number.

In case of suggestions or enhancements, simply create an issue.
:smile_cat:

### Commits

We would like to have clear and understandable commits, please refer to
the following link for certain good commit practices:
- [Commit practices](https://chris.beams.io/posts/git-commit/)

### Coding Style

It is advised to maintain a consistency in the coding style. Refer to
the following link for ROS2 coding guidelines:
- [ROS2 code style](https://docs.ros.org/en/foxy/Contributing/Code-Style-Language-Versions.html)
